0.1.1 (2017-08-09)
------------------------------------------------------------------------
- Feature: [#5815] Add cheat to ignore research status and access rides/scenery not yet invented.
- Feature: [#5857] Keyboard shortcut for clear scenery.
- Feature: [#5877] Allow up to 16 stations to be synchronised
- Feature: [#5970] The Bobsleigh Roller Coaster now supports on-ride photos.
- Feature: [#5991] Allow all tracked rides that can be tested without guests to the Track Designer
- Fix: [#2127, #2229, #5586] Mountain tool cost calculation
- Fix: [#3589] Crash due to invalid footpathEntry in path_paint
- Fix: [#3852] Constructing path not clearing scenery on server.
- Fix: [#4455] Crash in window_sign_invalidate due to original bug
- Fix: [#4715] Fix OpenGL rendering of water when zoomed. See #5890.
- Fix: [#4931] Crash in path_paint - footpathentry was null
- Fix: [#5629] Issue with tower ride modes approach to station - incorrect sum caused sawtooth in velocity
- Fix: [#5768] Prevent loading non-existent title sequences.
- Fix: [#5858] Crash when using custom ride with no colour presets.
- Fix: [#5865] Ride preview flickering on uneven terrain or mid air.
- Fix: [#5872] Incorrect OpenGL rendering of masked sprites
- Fix: [#5880] Leaving bumper cars without building causes assertion.
- Fix: [#5890] Fix zoomed OpenGL rendering of special sprites with primary and secondary colours.
- Fix: [#5912] Negative queue when moving entrance in paused state.
- Fix: [#5920] Placing guest spawn doesn't do anything every 3rd click
- Fix: [#5939] Crash when importing 'Six Flags Santa Fe'.
- Fix: [#5977] Custom music files not showing up in music list
- Fix: [#5981] Ride list doesn't update after using quick demolish.
- Fix: [#5984] Allow socket binding to same port after crash
- Fix: [#5998] Staff not getting paid / no loan interest.
- Fix: [#6026] 'Select ride to advertise' dropdown does not display all items.
- Fix: [#6052] Unable to place entrance/exit on certain ride types.
- Fix: [#6071] Quick demolish can delete protected ride.
- Fix: [#6111] Mute button always visible in editor.
- Fix: [#6113] Track preview shows incorrect highest drop height.
- Improved: [#2223] Change mountain tool to ignore higher surrounding tiles.
- Improved: [#4301] Leading and trailing whitespace in player name is now removed.
- Improved: [#5859] OpenGL rendering performance
- Improved: [#5863] Switching drawing engines no longer requires the application to restart.
- Improved: [#6003] Doors placed on tracks will now work with all vehicles
- Improved: [#6037] Autosaves are now stored in a subfolder
- Improved: The land tool buttons can now be held down to increase/decrease size.
- Improved: Dropdowns longer than 32 items overflow into columns.
- Improved: Ride Type option in ride window is now a dropdown.
- Improved: "About OpenRCT2" window redesigned, now contains OpenRCT2 info and access to changelog

0.1.0 (2017-07-12)
------------------------------------------------------------------------
- Feature: [#1399 (partial), #5177] Add window that displays any missing/corrupt objects when loading a park
- Feature: [#5056] Add cheat to own all land.
- Feature: [#5133] Add option to display guest expenditure (as seen in RCTC).
- Feature: [#5196] Add cheat to disable ride ageing.
- Feature: [#5504] Group vehicles into ride groups
- Feature: [#5576] Add a persistent 'display real names of guests' setting.
- Feature: [#5611] Add support for Android
- Feature: [#5706] Add support for OpenBSD
- Feature: OpenRCT2 now starts up on the display it was last shown on.
- Feature: Park entrance fee can now be set to amounts up to £200.
- Improved: Construction rights can now be placed on park entrances.
- Improved: Mouse can now be dragged to select scenery when saving track designs
- Fix: [#259] Money making glitch involving swamps (original bug)
- Fix: [#441] Construction rights over entrance path erased (original bug)
- Fix: [#578] Ride ghosts show up in ride list during construction (original bug)
- Fix: [#597] 'Finish 5 roller coasters' goal not properly checked (original bug)
- Fix: [#667] Incorrect banner limit calculation (original bug)
- Fix: [#739] Crocodile Ride (Log Flume) never allows more than five boats (original bug)
- Fix: [#837] Can't move windows on title screen to where the toolbar would be (original bug)
- Fix: [#1705] Time Twister's Medieval entrance has incorrect scrolling (original bug)
- Fix: [#3178, #5456] Paths with non-ASCII characters not handled properly on macOS.
- Fix: [#3346] Crash when extra long train breaks down at the back
- Fix: [#3479] Building in pause mode creates too many floating numbers, crashing the game
- Fix: [#3565] Multiplayer server crash
- Fix: [#3681] Steel Twister rollercoaster always shows all track designs
- Fix: [#3846, #5749] Crash when testing coaster with a diagonal lift in block brake mode
- Fix: [#4054] Sorting rides by track type: Misleading research messages
- Fix: [#4055] Sort rides by track type: Sorting rule is not really clear (inconsistent?)
- Fix: [#4512] Invisible map edge tiles corrupted
- Fix: [#5009] Ride rating calculations can overflow
- Fix: [#5253] RCT1 park value conversion factor too high
- Fix: [#5400] New Ride window does not focus properly on newly invented ride.
- Fix: [#5489] Sprite index crash for car view on car ride.
- Fix: [#5730] Unable to uncheck 'No money' in the Scenario Editor.
- Fix: [#5750] Game freezes when ride queue linked list is corrupted.
- Fix: [#5819] Vertical multi-dimension coaster tunnels drawn incorrectly
- Fix: Non-invented vehicles can be used via track designs in select-by-track-type mode.
- Fix: Track components added by OpenRCT2 are now usable in older scenarios.
- Technical: [#5047] Add ride ratings tests
- Technical: [#5458] Begin offering headless build with reduced compile- and run-time dependencies
- Technical: [#5755] Title sequence wait periods use milliseconds
- Technical: Fix many desync sources

0.0.7 (2017-05-03)
------------------------------------------------------------------------
- Feature: [#1730] Keyboard shortcuts for track construction.
- Feature: [#2060, #5282] Heightmap loader
- Feature: [#5110] The tile inspector can now be used in multiplayer.
- Feature: [#5305] Add scenery eye dropper tool.
- Feature: [#5370] Ride operating mode can be set from the console.
- Feature: [#5415] Add mute toolbar button (as seen in RCT1 and Locomotion).
- Improved: [#5254] Scenario option changes are now synchronised over multiplayer.
- Improved: [#3288] Added server description and greeting textboxes to the start server menu.
- Improved: [#3502] Track previews display at higher zoom level for large layouts.
- Improved: [#5055] Implement 'quick demolish' for rides.
- Improved: [#5137] Removing all guests no longer closes the rides and removes the vehicles.
- Improved: [#5163] Minor tile inspector improvements and fixes.
- Improved: [#5222] Add Catalan language.
- Improved: [#5351] Giga Coaster and Steel Twister RC boosters now use the correct sprites.
- Improved: Looping RC and Corkscrew RC now use booster sprites from RCT1's CSG1.DAT if available.
- Improved: Scenario options are now synced in multiplayer.
- Improved: Remove duplicate ride penalty for closed rides.
- Improved: Make shortcut keys window larger and resizable.
- Removed: known_issues.txt no longer used, check issue tracker on GitHub.
- Fix: [#1992] Felicity Anderson Cheat can crash the game, as well as blocking queues.
- Fix: [#4493] Provide tooltip for disabled price field.
- Fix: [#4689] Object selection tabs sometimes flicker.
- Fix: [#4913] Server greeting displaying local setting.
- Fix: [#4972] Map window not updated properly when shrinking map from Map Generation window.
- Fix: [#5004] Peeps in parks imported from RCT1 show abnormalities.
- Fix: [#5014] Research not imported from RCT1 correctly.
- Fix: [#5032] Booster speed is not saved in TD6.
- Fix: [#5140] Headless server should save default users.json.
- Fix: [#5150] --openrct-data-path sets user data path instead of OpenRCT2 data path.
- Fix: [#5169] Parks containing packed objects fail to open.
- Fix: [#5199] "Force a breakdown" debugging tool isn't hidden in multiplayer.
- Fix: [#5188] Clicking on a Magic Carpet doesn't open the ride window.
- Fix: [#5218] Scale RCT1 park value objectives.
- Fix: [#5219] Game crashes when opening 'misc' tab in options.
- Fix: [#5238] RCT1 import: Rides are initially free when placing them.
- Fix: [#5252] Correct typo in Conger Eel Coaster description.
- Fix: [#5265] Queue line TVs not detected properly.
- Fix: [#5271] Keyboard shortcuts window isn't large enough (for some languages).
- Fix: [#5284] Mechanic is called to fix a ride that's outside his patrol area.
- Fix: [#5285] Intro always plays even if play_intro = false.
- Fix: [#5299] Scenario editor crash when placing peep spawn.
- Fix: [#5318] Using the bulldozer tool on under-construction paths results in unlimited free money.
- Fix: [#5325] Game crashes if encountering an invalid ride type during research.
- Fix: [#5345] Correct typos in descriptions for Top Spin and Splash Boats.
- Fix: [#5350] Steel Twister RC and Giga Coaster boosters are underpowered, Junior Roller Coaster boosters overpowered compared to RCTC.
- Fix: [#5357] "Assertion failed!" after guest with name 'Emma Garrell' exits/enters ride.
- Fix: Walls do not import from RCT1 correctly in pause mode.
- Fix: Extraneous window tabs show up on MacOS 10.12.
- Fix: Potential for integer overflow in ride length.
- Fix: Vehicles erroneously removed when removing all guests.
- Technical: INI configuration file now case-insensitive.
- Technical: Remove version build from msbuild & NSIS.


0.0.6 (2017-01-29)
------------------------------------------------------------------------
- Feature: [#3355] Allow loading of parks from URLs.
- Feature: [#4673] Add paint Z clipping.
- Feature: [#4901] Allow entertainers' costume changes even in absence of required scenery.
- Feature: [#4916] FreeBSD support.
- Feature: [#4963] Add boosters (from RCT1 and RCTC).
- Feature: [#5113] Entertainers are now hired with a random costume.
- Feature: [#5222] Added Catalan translation.
- Improved: [#4847] Guest / staff pathfinding.
- Improved: [#4938] Checksum calculations speeded up.
- Improved: [#5007] Vehicles and functioning rides are now imported when loading SC4 / SV4 parks.
- Improved: Guests and staff are now imported when loading SC4 / SV4 parks.
- Fix: [#4571] Only start autosave timer after update or game command.
- Fix: [#4584] Junior Coaster diagonal flat-to-steep slopes not drawn.
- Fix: [#4929] Changing TTF language crashes game.
- Fix: [#4944] Game crashes upon selecting objects in scenario editor.
- Fix: [#4951] Scenarios are not recorded as completed from a saved game.
- Fix: [#4968] Completing a scenario does not save the name that is entered.
- Fix: [#4996] Objects unloaded after loading landscape.
- Fix: [#5003] Able to remove entrance/exit of unedittable rides (such as in Volcania).
- Fix: [#5096] Failure to open parks with out of bounds sprite coordinates.
- Fix: [#5114] Some entertainer costumes never select-able.
- Fix: [#5381] Game crashes in scenario editor when scenery or pathing is clicked on when no objects loaded.
- Fix: [#5787] Opening an incomplete ride moves the viewport to unrelated place.

0.0.5 (2016-12-27)
------------------------------------------------------------------------
This is the first fully implemented version of OpenRCT2. RCT2.EXE is no longer required.

- Feature: Ability to disable rendering of weather effects and gloom
- Feature: New view option: "See-Through Paths"
- Feature: Add cheat to reset date.
- Feature: Add OpenGL drawing engine.
- Feature: Implementation of the user-defined currency
- Feature: Extended tile inspector.
- Feature: Add ride console command for diagnostics and changing vehicle type.
- Feature: Allow selecting corners when using the mountain tool.
- Feature: Allow setting ownership of map edges.
- Feature: Allow up to 255 cars per train.
- Feature: Importing SV4 and SC4 files with rides.
- Feature: Filter Object Selection Window by "Selected only" and "Non-selected only"
- Feature: Allow raising terrain to 64 in-game units.
- Feature: Assymmetric-key-based authorisation and assignment storage.
- Feature: Add Norwegian translation.
- Feature: Add cheat to disable littering.
- Feature: Add Cheat to disable plant ageing.
- Feature: Add Cheat that allows any track piece to use a chain lift.
- Feature: Add Console command to set vehicle friction.
- Feature: Add console command to set scenario initial cash.
- Feature: Objects are scanned from the user directory as well as the RCT2 directory.
- Feature: Objects directory is scanned recursively.
- Feature: Optionally zoom in towards the cursor rather than the screen centre.
- Change: The maximum height of Junior Roller Coasters is now 14 units, like it was in RCT1.
- Improved: Pathfinding algorithm.
- Improved: Performance and reliability of loading objects.
- Improved: Screenshots are now saved with the name of the park and the current date and time.
- Improved: More accurate frame rate calculation
- Improved: In-game file dialog now shows more formats (sv6, sc6, sv4, etc.)
- Improved: Joining multiplayer will not redownload custom objects
- Removed: BMP screenshots.
- Removed: Intamin and Phoenix easter eggs.
- Fix: [#933] On-ride photo price sometimes gets reset to £2 when using 'same price in whole park' (original bug).
- Fix: [#1038] Guest List is out of order.
- Fix: [#1238] Track place window does not fully adjust to custom colour scheme.
- Fix: [#2042] Guests entering queues are immediately annoyed when many entertainers are around (original bug).
- Fix: [#2081] Game hangs when track has infinite loop.
- Fix: [#2754] Dragging scrollview fails when scaled.
- Fix: [#3210] Scenery window scrolls too far.
- Fix: [#3282] Launched Freefall ride ratings are fixed for Downward Launch (original bug).
- Fix: [#3307] Ride music and sound has degraded since RCT2.
- Fix: [#3344] Build new ride window can be opened in scenario editor.
- Fix: [#3347] Ride windows are auto-positioned below the HUD when using RCT1 lights.
- Fix: [#3352] Assertion triggered while fixing surface tiles.
- Fix: [#3361] Missing Twister coaster piece.
- Fix: [#3418] Launched freefall restraints are drawn incorrectly when up (original bug).
- Fix: [#3451] Renaming staff is a guest command.
- Fix: [#3635] Inspecting sidewalk path crashes game.
- Fix: [#3735] Advertisement campaign window bug.
- Fix: [#3771] Crash when kicking player in multiplayer.
- Fix: [#3824] Segfault when passing invalid arguments to ride set type.
- Fix: [#3858] Tooltip shown when hovering over title logo.
- Fix: [#3915] Restore horizontal and vertical scrollbar behaviour from RCT2 when clicking on one of the scrollbars.
- Fix: Lay-down Roller Coasters from RCT1 saves are imported with an incorrect vehicle type (not reported).
- Fix: High lateral G-forces penalty applied too early (not reported).
- Technical: Multiplayer groups are now stored in JSON format.
- Technical: MinGW builds dropped support for Windows XP

0.0.4-beta (2016-04-15)
------------------------------------------------------------------------
- Feature: Full native OSX .app support.
- Feature: Add displaying of frames per second (FPS).
- Feature: Changing the number of trains no longer requires retesting.
- Feature: Add SI units as a new measurement system for distance / speed.
- Feature: Update alternative font selection mechanism for all platforms.
- Feature: Allow enabling / disabling of different notifications.
- Feature: Add more columns and information to tile inspector.
- Feature: Add ability to remove and reorder elements in tile inspector.
- Feature: Integrate RCT1 style scenario select with optional unlock progression.
- Feature: Add graphics scaling and filtering.
- Feature: Add cheat: permanent marketing.
- Feature: Closed rides show number of guests currently on the ride in tooltip and on the ride window customer page.
- Feature: Scrolling the mouse wheel over any land tool preview box will increment or decrement the tool size.
- Feature: Additional property views added to the ride list window.
- Feature: Improved overall view centring for rides and shops.
- Feature: Add permission and group management in multiplayer.
- Feature: Add player windows with viewport and trace in multiplayer.
- Feature: Add ability to start a new scenario when starting a new server.
- Feature: Compress game data that is downloaded when connecting to a server.
- Feature: Support for using system load/save dialogs on Linux and OS X.
- Feature: OpenRCT2 now detects if the server is running a compatible version when attempting to connect to a multiplayer game.
- Feature: Ride information list can show more properties, like age and running cost.
- Feature: Added translations for Czech and Japanese.
- Feature: Added Hong Kong dollar, New Taiwan dollar and Chinese yuan as currencies.
- Feature: Weather cheat now allows for more types of weather.
- Feature: Use fontconfig on Linux and Objective-C APIs on OS X to detect fonts and provide a fallback if necessary.
- Feature: Ability to automatically open shops after placing them.
- Feature: Ability to change the default inspection interval for rides.
- Feature: Ability to disable lightning effect during a thunderstorm.
- Feature: Ability to set ownership of map edges.
- Feature: Display a chat hotkey when joining a server.
- Change: Server IP addresses are no longer shown in the server list.
- Change: Theme format changed from INI to JSON (INI format no longer supported).
- Change: Sound controls re-worked to control sound effects and ride music separately.
- Change: Use native line endings in config.ini.
- Change: Remove default audio device from audio device dropdown in Linux.
- Technical: lodepng dropped in return for libpng.
- Technical: SDL2 upgraded from 2.0.3 to 2.0.4.
- Technical: argparse dropped in return for bespoke command line parsing implementation.
- Technical: Integrated breakpad for (manual) crash reporting
- Improve: performance of rendering, particularly for highly populated parks.
- Improve: performance of loading parks.
- Improve: support for hacked parks.
- Removed: Anti-cheat code that detected money hack attempts.
- Fix: Dated autosave files are not created on OSX and Linux.
- Fix: Title sequence directories are not deleted when title sequence is deleted on OSX and Linux.
- Fix: Tile not highlighted when placing staff members.
- Fix: Various de-synchronisation issues in multiplayer.
- Fix: Cheats not supported in multiplayer.
- Fix: [#1333] Rides never become safe again after a crash.
- Fix: [#1742] Non-ascii characters in scenario details not showing correctly.
- Fix: [#2126] Ferris Wheels set to "backward rotation" stop working (original bug).
- Fix: [#2449] Turning off Day/Night Circle while it is night doesn't reset back to day.
- Fix: [#2477] When opening the built-in load/save dialog, the list is not properly sorted.
- Fix: [#2650] Server did not validate actions send from clients (caused error box and desynchronisation).
- Fix: [#2651] Ride was not removed when multiplayer client aborted ride construction.
- Fix: [#2654] Free transport rides can prevent guests from properly leaving the park.
- Fix: [#2657] Don't create copies of official objects due to bugged saves (original bug).
- Fix: [#2681] When lowering/raising land/water with clearance checks off, walls still get removed.
- Fix: [#2693] Multiplayer chat caret does not show true position.
- Fix: [#2704] OSX Command Key not read for keyboard shortcuts.
- Fix: [#2728] Closing a boat ride with passengers causes empty boats to leave the platform (original bug).
- Fix: [#2925] Screenshots don't show night filters.
- Fix: [#2941] Enter does not work on input box when on the title screen.
- Fix: [#2948] New Ride window incorrectly said there were track designs available when in multiplayer mode.
- Fix: [#2958] Unable to import RCT1 parks in the scenario editor using the load landscape dialog.
- Fix: [#3015] Walls in SC4/SV4 files are not imported correctly.
- Fix: [#3063] Search exe directory for SSL bundle as well as CWD.
- Fix: [#3120] Negative cash in finance window is not red.
- Fix: [#4134] Can't enable park-wide photo price for log flume and river rapids.

0.0.3.1-beta (2015-12-04)
------------------------------------------------------------------------
- Fix: [#2407] save game prompt delay is not reset on start scenario
- Fix: [#2415] day / night cycle did not update colours during gameplay
- Fix: [#2425] new campaign for ride shows invalid list when over 40 rides
- Fix: [#2417] peep direction assertion sometimes during pathfinding
- Fix: [#2158] video freeze when window is maximised, minimised and then restored
- Fix: [#2434] dropdown menus linger when toolbars are hidden

0.0.3-beta (2015-11-30)
------------------------------------------------------------------------
- Feature: Adding extra title sequences.
- Feature: Title sequences can be edited in-game.
- Feature: Uncapped FPS.
- Feature: Ride selection in the Editor can now be sorted on track type or vehicle type.
- Feature: Load/save window can be sorted on date.
- Feature: Sandbox now a menu toggle.
- Feature: Improved ability to disable clearance checks via menu toggle.
- Feature: Added ability to disable support limits via menu toggle.
- Feature: Cheat to clear the crash record of each ride.
- Feature: Cheat to set all rides to 10 minute inspections.
- Feature: Cheats for guest parameters like hunger, energy, nausea etc.
- Feature: Cheats for park parameters like guest generation, loan settings and switching to and from not using money.
- Feature: Cheats for showing vehicles from other track types and enabling all operating modes.
- Feature: Clear Scenery can now be used for sizes up to 64x64.
- Feature: The mountain tool can now be used for sizes up to 64x64.
- Feature: Built-in load/save window is now used for converting saved games to scenarios.
- Feature: Cooperative multiplayer (has some game-breaking bugs).
- Feature: Native Linux support.
- Feature: Console commands for fixing 'Name already in use' and banner count errors.
- Feature: Scenario and object descriptions are now translatable.
- Feature: UI stays responsive in pause mode.
- Feature: Marketing campaign can now be run for up to 12 weeks.
- Feature: Day/night cycle.
- Feature: Added ability to save (over last file) as opposed to save as.
- Feature: Custom user data path specified by command line argument.
- Feature: Full UTF-8 language support.
- Feature: TTF font integration for non-Latin languages.
- Feature: Added support for Traditional Chinese, Simplified Chinese, Korean, Russian, Finnish and Brazilian Portuguese.
- Feature: Added South Korean Won and Russian Rouble as currencies.
- Feature: Allow different date formats.
- Feature: Option to automatically pause the game on minimise from fullscreen.
- Feature: Option to automatically pause when Steam overlay is activated.
- Feature: Option to display all scrolling text banners as upper case (RCT1 style)
- Feature: Option to mute audio when game is not focused.
- Feature: Option to automatically place staff after hire.
- Feature: Option to enable 'mow grass' by default for handymen (RCT1 style)
- Feature: Option to ignore invalid checksums on loaded parks.
- Feature: Option to scale game display for better compatibility with high DPI screens.
- Alteration: Autosave is now measured in real-time rather than in-game date.
- Alteration: Hacked rides no longer have their reliability set to 0.
- Technical: DirectDraw, DirectInput, DirectPlay and DirectSound dependencies are no longer used.
- Removed: Six Flags branding and limitations.
- Removed: Infogrames disclaimer.
- Fix: When placing a track, the preview will now use the same orientation as the ghost.
- Fix: Grouping vehicles by track type no longer interferes with research.
- Fix: Fix corrupt map elements when loading a game.
- Fix: Fix corrupt peep counter when loading a game.
- Fix: Parks created in the Scenario Editor now select the standard staff uniform colours by default.
- Fix: Launched TD4 rides will now always use the RCT1 launch mode (that doesn't pass the station) (original bug).
- Fix: Guests will no longer ignore no entry signs if the tile contains more than one fence (original bug).
- Fix: Right-clicking a piece of launched lift will no longer crash the game (original bug).
- Fix: Fix bugs in calculation of Heartline Twister and Launched Freefall ratings (original bugs).
- Fix: Map window now displays the usable map size, not the technical one (original bug).
- Fix: TD4 River Rapids will now have the correct seat colour (original bug).
- Fix: Message sound will no longer play in the editor modes (original bug).
- Fix: Scenarios created with the Scenario Editor will now have the correct initial temperature for their climate (original bug).
- Fix: Financial information can no longer be accessed from the rides/attractions menu in parks that don't use money (original bug).
- Fix: The path tool and tracked-ride construction tool no longer interfere with one another in certain situations (original bug).
- Fix: Building a flat ride partially out of park boundaries will no longer trigger a misleading "too high for supports" message (original bug).
- Fix: On-ride photos are now factored into the calculations of a ride's income and profit per hour (original bug).

0.0.2-beta (2015-06-21)
------------------------------------------------------------------------
- Feature: Intro sequence does not show by default.
- Feature: New title screen logo.
- Feature: New title sequence (RCT2 version also still available).
- Feature: Title sequence music can now be disabled or changed to the RollerCoaster Tycoon 1 theme music.
- Feature: In-game console.
- Feature: Improved settings window with tab interface.
- Feature: Ability to change language while in game.
- Feature: Text input is now an in-game window.
- Feature: Toggle between software and hardware video mode.
- Feature: Toggle between resizeable window and fullscreen.
- Feature: Windows now snap to the borders of other windows when dragging (snap radius configurable).
- Feature: Interface colour themes. (Presets for RCT1 and RCT2 are included by default).
- Feature: Re-introduce traffic lights for close / test / open as a theme option.
- Feature: Show day as well as the month and year.
- Feature: Show month before day (e.g. March 14th, year 15)
- Feature: Exit OpenRCT2 to desktop.
- Feature: Game configuration, cache, scores and screenshots now saved in user documents directory under OpenRCT2.
- Feature: Auto-saving with frequency option.
- Feature: Ability to change game speed via toolbar or (+ and - keys).
- Feature: Finance window accessible from toolbar (enabled in settings).
- Feature: Research and development / research funding now accessible as a stand alone window without the requirement of the finances window.
- Feature: Extra viewport windows.
- Feature: Park window viewport is resizable.
- Feature: Land, water and ownership tool sizes can now be increased to 64x64.
- Feature: Mountain tool available in play mode.
- Feature: Buy land and construction rights land tool window. (Currently only in-game).
- Feature: Place scenery as a random cluster available in play mode.
- Feature: Increased limits for maximum of circuits per roller coaster to 20 and people on mazes to 64
- Feature: Allow both types of powered launch (with and without passing the station) for every roller coaster that supported one type in RCT2.
- Feature: Allow testing of incomplete tracks.
- Feature: Cheats window (Ctrl-Alt-C) or by toolbar button (configurable).
- Feature: Cheats for almost every guest aspect (happiness, hunger, nausea tolerance, etc.)
- Feature: Cheat to allow maximum operating settings and lift hill speeds (410 km/h).
- Feature: Cheat to disable all breakdowns.
- Feature: Cheat to disable brakes failure.
- Feature: Cheat to fix all rides.
- Feature: Change available objects in-game (only available from console).
- Feature: Change research settings in-game (only available from console).
- Feature: (Random) map generator available in scenario editor, accessible via the view menu.
- Feature: RollerCoaster Tycoon 1 scenarios can now be opened in the scenario editor or by using the 'edit' command line action.
- Feature: The "have fun" objective can now be selected in the scenario editor.
- Feature: Twitch integration
- Fix: Litter bins now get full and require emptying by handymen.
